@ECHO OFF
SETLOCAL

SET JARSIGNER=D:\Prog\Java\jdk1.6.0_45\bin\jarsigner.exe
SET ZIPALIGN=D:\Prog\Android\android-sdk\tools\zipalign.exe
SET KEYPATH=D:\Prog\Android\keys

IF "%2"=="" GOTO HELP
IF NOT EXIST "%2" GOTO NOFILE

IF "%1"=="c" GOTO CHECK
IF "%1"=="check" GOTO CHECK

IF "%3"=="" GOTO HELP

IF "%4"=="" GOTO NOPASS

IF "%1"=="a" GOTO SIGN_A_P
IF "%1"=="b" GOTO SIGN_B_P

GOTO HELP

:NOPASS
IF "%1"=="a" GOTO SIGN_A
IF "%1"=="b" GOTO SIGN_B

GOTO HELP


:CHECK
%JARSIGNER% -verify -verbose -certs "%2" | LIST
QUIT


:SIGN_A
%JARSIGNER% -verbose -keystore %KEYPATH%\keystore_A.keystore "%2" aliasname_A
DEL "%3"
%ZIPALIGN% -v 4 "%2" "%3"
QUIT


:SIGN_A_P
%JARSIGNER% -verbose -keystore %KEYPATH%\keystore_A.keystore -storepass %4 "%2" aliasname_A
DEL "%3"
%ZIPALIGN% -v 4 "%2" "%3"
QUIT


:SIGN_B
%JARSIGNER% -verbose -keystore %KEYPATH%\keystore_B.keystore "%2" aliasname_B
DEL "%3"
%ZIPALIGN% -v 4 "%2" "%3"
QUIT


:SIGN_B_P
%JARSIGNER% -verbose -keystore %KEYPATH%\keystore_B.keystore -storepass %4 "%2" aliasname_B
DEL "%3"
%ZIPALIGN% -v 4 "%2" "%3"
QUIT


:NOFILE
ECHO FIle not found!
QUIT


:HELP
ECHO SIGN [c]heck filename.apk
ECHO SIGN [a]     filename_unsigned.apk filename.apk
ECHO SIGN [b]     filename_unsigned.apk filename.apk
